<div align="center">
<div class="table dashed">
	<div class="table_header bottom">
		<strong>Mitmachen am Projekt</strong>
	</div>
	<div style="padding:5px" align="left">
		Du kannst auf verschiedener Weise an diesem Projekt mitmachen und dich
		dran beteiligen. Zum einem kannst am Programmcode
		<strong>mitprogrammieren</strong>, dann kannst du dich durch
		<strong>&Uuml;bersetzungen</strong> in andere Sprachen (Englisch,
		Franz&ouml;sisch, Spanisch uvwm.) mit einbringen. Auch kannst du gerne
		das Script auf verschiedenen Umgebungen <strong>austesten</strong> oder
		es eifnach nur verwenden. Zu guter letzt kannst du einfach mein Script
		mehr <strong>bekannter machen</strong> oder einfach nur deinen
		<strong>Dank &auml;u&szlig;ern</strong>.
	</div>
	<div style="padding:5px" align="left" class="bottom">
		Dass nicht alles ohne &quot;Regeln&quot; geht, sollte dir wohl klar
		sein. Erstmal ist das Script unter der <strong>GNU General Public
		License Version 2</strong> gestellt. Was die im einzelnen f&uuml;r dich
		bedeuten kann ich dir nat&uuml;rlich nicht sagen (w&auml;re ja dann
		quasi Rechtsberatung). Damit w&auml;ren wir auch schon beim ersten
		Punkt: <strong>Am Quellcode mitprogrammieren.</strong>
	</div>
	<div class="table_header bottom">
		<strong>Am Quellcode mitprogrammieren</strong>
	</div>
	<div style="padding:5px" align="left">
		Die wichtigsten Informationen zum Mitprogrammieren stehen alle im
		<a href="https://wiki.mxchange.org/doku.php/de/developer/start" rel="me"
		 target="_blank">Entwicklerteil des Wikis</a>. Dies befindet sich
		aktuell noch in der Aufbauphase. Daher greife ich hier mal etwas vor.
	</div>
	<div style="padding:5px" align="left" class="bottom">
		Zuerst nehme ich nur Quellcode auf, der uneingeschr&auml;nkt und damit
		frei nutzbar ist. Lizenzen wie MIT, Apache, FreeBSD oder X11 finden hier
		jedoch kein Zuhause, da ich keinen Lizenzmischmasch mitmache. Es kommt
		also nur unter der gleichen Lizenz eingereichter Code in die Repository.
		Dies ist jedoch nicht die einzige Bedigung. Auch sollte dein Quellcode
		ein Mindestma&szlig; an Qualit&auml;t aufweisen, da ich nicht ewig an
		der selben Codestelle herumreparieren m&ouml;chte, er muss also auch
		funktionieren und nicht mit anderen Komponenten der Software
		harmonieren. Auch sollte dein Code sich an die &quot;API&quot; meines
		Scriptes anbinden, sprich z.B. SQL_QUERY_ESC() zum sicheren Einbinden
		von externen Daten verwenden und nicht die direkte PHP-Funktion
		mysql_query(). Kurz: Verwende m&ouml;glichst immer Funktionen, die mein
		Script bereitstellt. Mehr ausf&uuml;hrlichere Erkl&auml;rungen dazu
		folgen im Wiki.
	</div>
	<div class="table_header bottom">
		<strong>&Uuml;bersetzung der Sprachelemente</strong>
	</div>
	<div style="padding:5px" align="left">
		Derzeit wird nur die deutsche Sprache angeboten, die englische Sprache
		ist unvollst&auml;ndig. Auch gibt es &Uuml;berlegungen, wie die
		Sprachelemente im Men&uuml; besser zu verwalten ist, derzeit sind die
		Texte direkt in der Datenbank gespeichert. Es kann also nur eine Sprache
		zur Zeit verwendet werden, ein Wechsel der Sprache h&auuml;tte zur
		Folge, dass der deutsche Text komplett &uuml;bersetzt werden muss und
		kann somit nicht &quot;dynamisch&quot; ausgetauscht werden.
	</div>
	<div style="padding:5px" align="left" class="bottom">
		Ideen dazu habe ich bereits, die ich im Wiki noch dokumentieren werde.
	</div>
	<div class="table_header bottom">
		<strong>Austesten der Software und Umgang Entwicklerversionen</strong>
	</div>
	<div style="padding:5px" align="left">
		Willst du diese Software austesten, so solltest du dazu einiges
		beachten. Viele Erweiterungen haben noch den so gennanten
		&quot;Entwicklerstatus&quot; und sind in der Aufgabenauswahl mit
		&quot;Entwicklerversion&quot; gekennzeichnet. Installiere diese nur,
		wenn du immer den neusten Stand (neuste Revision) hast. Auch wird bei
		der Entwicklung der Erweiterunegn keine R&uuml;cksicht auf eventuell
		bestehende Installationen genommen, dies geschieht erst, wenn die
		Erweiterung als &quot;produktiv einsetzbar&quot; markiert ist.
	</div>
	<div style="padding:5px" align="left" class="bottom">
		Wenn du also eine in der Entwicklung befindlichen Erweiterung
		installiert hast und ein Update hochgeladen hast, so solltest du zuvor
		alle Entwicklerversionen deinstallieren, damit du immer das neuste
		Datenbanklayout hast (dies hat am meisten f&uuml;r Bugmeldungen
		gesorgt). Generell solltest du mich aber kurz vor dem Installieren der
		Erweiterung ansprechen (Chat, Mail) und auf meine Tipps und Hinweise
		abwarten.
	</div>
	<div class="table_header bottom">
		<strong>Mach das Mailer-Projekt bekannter</strong>
	</div>
	<div style="padding:5px" align="left" class="bottom">
		Wie auf vielen anderen Webseiten auch geschrieben, die
		Mund-Zu-Mund-Propaganda ist die beste Werbung f&uuml;r eine Webseite.
		Wenn du also das Mailer-Projekt so gut findest, erz&auml;hle es deinen
		Freunden, Bekannten und Verwandten weiter, die einen Paidmailer starten
		wollen und eine Alternative suchen. Denn dieses Script ist in seiner
		Form derzeit einmalig, nicht nur wie es geschrieben ist, sondern auch
		wegen der ausgew&auml;hlten Lizenz. Dies wurde mir bereits schon
		mehrfach mitgeteilt. Du kannst nat&uuml;rlich auch gerne diese Seite
		verlinken. Dazu gibt es unter <a
		 href="{?URL?}/modules.php?module=index&amp;what=link_us"
		 title="Das Mailer-Projekt Verlinken">Link us</a> viele Banner und
		andere Werbemittel, die gerne zu diesem Zweck in deine Homepage
		einbinden kannst. Sehe aber bitte davon ab, diese Seite in z.B.
		Besuchertausche zu registrieren, dies f&uuml;hrt nur zur erh&ouml;hten
		Serverlast und meistens auch &quot;Trashtraffic&quot;, den keiner
		gebrauchen kann.
	</div>
	<div class="table_header bottom">
		<strong>Deinen Dank an das Mailer-Projekt aussprechen</strong>
	</div>
	<div style="padding:5px" align="left" class="bottom">
		Schreibe dazu einfach einen Beitrag im Forum <a rel="me" target="_blank"
		 href="http://forum.mxchange.org/forum-11.html">Lob und Kritik</a>.
	</div>
	<div class="table_footer">
		&nbsp;
	</div>
</div>
</div>
