<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 26/06/2011 *
 * ===================                          Last change: 26/06/2011 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : coupon_de.php                                    *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterstuetzung                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Language definitions
addMessages(array(
	// Admin - Configuration
	'ADMIN_CONFIG_COUPON_TITLE' => "Allgemeine Einstellungen zu den Gutscheinen",
	'ADMIN_CONFIG_COUPON_DEFAULT_TIME' => "Zeit, bis Gutscheine ablaufen sollen. Sie k&ouml;nnen diesen Ausgangswert beim Erstellen von neuen Gutscheinen nachtr&auml;glich anpassen.",
	'ADMIN_CONFIG_COUPON_DEFAULT_POINTS' => "Ausgangsverg&uuml;tung in {?POINTS?}. Sie k&ouml;nnen diesen Ausgangswert beim Erstellen von neuen Gutscheinen nachtr&auml;glich anpassen.",
	'ADMIN_CONFIG_COUPON_AUTOPURGE_TIME' => "Dauer bis abgelaufene Gutscheine aus der Datenbank entfernt werden:",
	'ADMIN_CONFIG_COUPON_USERID' => "Mitgliederaccount, von dem die eingel&ouml;sten {?POINTS?} abgebucht werden sollen:",

	// Admin - Send coupon to members
	'ADMIN_SEND_COUPON_TITLE' => "Gutschein versenden (aktuell nur Code-Gutscheine)",
	'ADMIN_SEND_COUPON_EXPIRATION_TIME' => "Ablaufzeit (ab Versandzeitpunkt)",
	'ADMIN_SEND_COUPON_POINTS' => "Verg&uuml;tung f&uuml;r eingel&ouml;sten Gutschein",
	'ADMIN_SEND_COUPON_ENTER_DESCRIPTION' => "Kurzbeschreibung/Hinweis des Gutscheins",
	'ADMIN_SEND_COUPON' => "Gutschein versenden",
	'ADMIN_SEND_COUPON_POINTS_NOT_ENTERED' => "Bitte geben Sie eine Verg&uuml;tung (in {?POINTS?}) ein.",
	'ADMIN_SEND_COUPON_DESCRIPTION_NOT_ENTERED' => "Bitte geben Sie eine kurze Beschreibung (oder einen Hinweis an Ihre Mitglieder) ein.",
	'ADMIN_SEND_COUPON_USER_404' => "Es wurden keine empfangsbereiten Mitglieder gefunden.",
	'ADMIN_SEND_COUPON_DONE' => "Es wurde ein Gutschein an alle empfangsbereiten Mitglieder versendet.",

	// Admin - More
	'ADMIN_LIST_CASHED_COUPONS_TITLE' => "Administrative Auflistung aller Gutscheine",
	'ADMIN_LIST_CASHED_COUPONS_NOTICE' => "Bitte beachten Sie, dass diese Tabelle alle Gutscheineintr&auml;ge verkn&uuml;ft mit den Mitgliedern anzeigt. Es kann also sehr oft vorkommen, dass eine {--COUPON_ID--} mehrfach vorkommt.",
	'ADMIN_LIST_COUPONS_NOTICE' => "Durch Klick auf die Gutscheinnummer in den eckigen Klammern, erhalten Sie eine Auflistung, aller Mitglieder, die den Gutschein erhalten haben.",
	'ADMIN_LIST_COUPON_404' => "Sie haben noch keine Gutscheine versendet, daher sind auch keine auflistbar.",

	// Member
	'MEMBER_CASH_COUPON_TITLE' => "Gutschein einl&ouml;sen",
	'MEMBER_CASH_COUPON_NOTICE' => "Geben Sie hier den Gutschein-Code ein, den Sie aus unserer Mail erhalten haben. Sie erhalten dann eine Meldung, auf welches Konto die Gutschrift aufgebucht wurde.",
	'MEMBER_CASH_COUPON' => "Gutschein einl&ouml;sen",
	'MEMBER_ENTER_COUPON_CODE' => "Gutschein-Code eingeben:",
	'MEMBER_COUPON_CODE_EMPTY' => "Sie haben keinen Gutschein-Code eingegeben. Bitte versuchen Sie es erneut.",
	'MEMBER_COUPON_CODE_ALREADY_CASHED' => "Der von Ihnen eingegebene Gutschein-Code ist entweder ung&uuml;ltig, Ihnen nicht zugewiesen, bereits abgelaufen, oder Sie haben ihn bereits eingel&ouml;st.",
	'MEMBER_COUPON_CODE_CASHED' => "Ihr Gutschein im Wert von <span class=\"data\">{OPEN_TEMPLATE}pipe,,translateComma=%01.5f{CLOSE_TEMPLATE} {?POINTS?}</span> wurde soeben eingel&ouml;st und Ihrem Konto gutgeschrieben.",
	'MEMBER_COUPON_CASHED_404' => "Sie haben noch keinen Gutschein eingel&ouml;st oder es wurde noch keiner erstellt. Bitte pr&uuml;fen Sie Ihre Emails, ob Sie eventuell einen erhalten haben, den Sie noch einl&ouml;sen k&ouml;nnen.",
	'MEMBER_LIST_CASHED_COUPONS_TITLE' => "Alle Ihre eingel&ouml;sten Gutscheine",
	'MEMBER_LIST_CASHED_COUPONS_NOTICE' => "Bitte beachten Sie, dass Gutscheine nach <span class=\"data\">{OPEN_TEMPLATE}config,createFancyTime=coupon_autopurge_time{CLOSE_TEMPLATE}</span> automatisch aus der Datenbank entfernt werden und Ihnen dann nicht mehr angezeigt werden. Das {?POINTS?}-Guthaben behalten Sie weiterhin.",
	'MEMBER_COUPON_CHANGE_STATUS_TITLE' => "Empfang von Gutscheinen bestellen/abbestellen",
	'MEMBER_COUPON_RECEIVE_STATUS' => "Sie empfangen derzeit Gutscheine:",
	'MEMBER_CHANGE_COUPON_STATUS' => "Empfangsstatus &auml;ndern",
	'MEMBER_COUPON_RECEIVE_STATUS_UNCHANGED' => "Es konnte der Empfang von Gutscheinen nicht ge&auml;ndert werden. Bitte melden Sie sich beim Support.",
	'MEMBER_COUPON_RECEIVE_STATUS_UNSUBSCRIBED' => "Sie empfangen nun keine Gutscheine mehr.",
	'MEMBER_COUPON_RECEIVE_STATUS_SUBSCRIBED' => "Sie empfangen nun wieder Gutscheine. Sie erhalten nun eine Email, sobald ein neuer Gutschein erstellt wurde.",

	// Subject lines
	'MEMBER_COUPON_SUBJECT' => "Gutschein bei {?MAIN_TITLE?}",
	'ADMIN_COUPON_SUBJECT' => "Es wurde ein Gutschein versendet",
	'ADMIN_COUPON_CASHED_SUBJECT' => "Ein Mitglied hat seinen Gutschein eingel&ouml;st",
	'ADMIN_COUPON_PURGE_SUBJECT' => "Bereinigung von abgelaufenen Gutscheinen",

	// Language strings for admin/member
	'COUPON_ID' => "Gutscheinnummer",
	'COUPON_CASHED_ON' => "Eingel&ouml;st",
	'COUPON_CREATED_ON' => "Erstellt",
	'COUPON_EXPIRED_ON' => "Abgelaufen",
	'COUPON_TOTAL_CREATED' => "Erstellt",
	'COUPON_TOTAL_CASHED' => "Eingel&ouml;st",
	'COUPON_DESCRIPTION' => "Hinweistext",

	// Point account subjects
	'POINTS_SUBJECT_COUPON_CASHED' => "Einl&ouml;sung eines Gutscheins",
	'POINTS_SUBJECT_COUPON_CASHED_REF' => "Anteil an Einl&ouml;sung eines Gutscheins",
));

// [EOF]
?>
