<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/12/2005 *
 * ===================                          Last change: 02/12/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : doubler_de.php                                   *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterstuetzung                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2016 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Language definitions
addMessages(array(
	// Admin configuration
	'ADMIN_CONFIG_DOUBLER_TITLE' => "Einstellungen am {?POINTS?}-Verdoppler:",
	'ADMIN_CONFIG_DOUBLER_CHARGE' => "Prozentuale Geb&uuml;hr zum Verdoppeln:",
	'ADMIN_CONFIG_DOUBLER_JACKPOT' => "Soll der Jackpot zum Verdoppeln verwendet werden?",
	'ADMIN_CONFIG_DOUBLER_SEND_MODE' => "Aussendemodus der Benachrichtigungsmails:",
	'ADMIN_CONFIG_DOUBLER_SEND_DIRECT' => "Aussenden, sobald gen&uuml;gend {?POINTS?} zur Auszahlung der Verdoppelung bereit stehen.",
	'ADMIN_CONFIG_DOUBLER_SEND_RESET' => "Erst beim t&auml;glichen Reset pr&uuml;fen, ob Verdoppelungen ausgezahlt werden k&ouml;nnen.",
	'ADMIN_CONFIG_DOUBLER_TIMEOUT' => "Verweildauer ausgezahlter Verdoppelungen in der Datenbank:",
	'ADMIN_CONFIG_DOUBLER_USERID' => "Mitgliedaccount zur Verdoppelung verwenden:",
	'ADMIN_CONFIG_DOUBLER_DISPLAY_TITLE' => "Anzeige-Einstellungen f&uuml;r Anzahl Eintr&auml;ge:",
	'ADMIN_CONFIG_DOUBLER_DISPLAY_NEW' => "Anzahl ersten X neuen Eintr&auml;ge",
	'ADMIN_CONFIG_DOUBLER_DISPLAY_PAY' => "Anzahl ersten X vor Auszahlung stehender Verdoppelungen",
	'ADMIN_CONFIG_DOUBLER_DISPLAY_OLD' => "Anzahl ersten X bereits ausgezahlter Verdoppelungen",
	'ADMIN_CONFIG_DOUBLER_REFERRAL' => "Prozentuale Referral-Verg&uuml;tung:",
	'ADMIN_CONFIG_DOUBLER_MINIMUM' => "Minimum {?POINTS?} die verdoppelt werden sollen",
	'ADMIN_CONFIG_DOUBLER_MAXIMUM' => "Maximum {?POINTS?} die verdoppelt werden sollen",
	'ADMIN_CONFIG_DOUBLER_LEFT' => "Auf dem Mitgliedsaccount nach Verdoppelung Restguthaben ({?POINTS?}):",
	'ADMIN_CONFIG_DOUBLER_OWN' => "{?POINTS?}-Guthaben des Verdopplers zur Auszahlung verwenden?",
	'ADMIN_CONFIG_DOUBLER_GROUP_SENT' => "Auf Anzahl durchf&uuml;hrbare Auszahlungen warten, damit an diese ausgezahlt werden kann. (Gruppenauszahlung)",
	'ADMIN_CONFIG_DOUBLER_MAX_SENT' => "Pro Klick/Reset auf Auszahlungsf&auml;higkeit hin zu testende Verdopplungen:",
	'ADMIN_CONFIG_DOUBLER_SENT_ALL' => "Soll anstelle der Gruppenauszahlung alle m&ouml;glichen Auszahlungen durchgef&uuml;hrt werden?",

	// Admin generic messages
	'ADMIN_DOUBLER_LIST_OVERVIEW' => "Auflistung der Verdoppelungen - &Uuml;bersichtsseite",
	'ADMIN_DOUBLER_LIST_ALREADY' => "Bereits get&auml;tigte Auszahlungen",
	'ADMIN_DOUBLER_LIST_WAITING' => "Wartene Auszahlungen",
	'ADMIN_DOUBLER_ALREADY_ALL' => "Gesamt Auszahlungen",
	'ADMIN_DOUBLER_ALREADY_DIRECT' => "Direkte Auszahlungen",
	'ADMIN_DOUBLER_ALREADY_REF' => "Referral-Auszahlungen",
	'ADMIN_DOUBLER_WAITING_ALL' => "Gesamt wartend",
	'ADMIN_DOUBLER_WAITING_DIRECT' => "Direkte w. Auszahlungen",
	'ADMIN_DOUBLER_WAITING_REF' => "W. Referral-Auszahlungen",
	'ADMIN_DOUBLER_PAYMENT_TIMEMARK' => "Eingezahlt",
	'ADMIN_DOUBLER_LIST_ALREADY_ALL' => "Alle bereits ausgezahlten {?POINTS?}",
	'ADMIN_DOUBLER_LIST_ALREADY_DIRECT' => "Direkt ausgezahlte {?POINTS?}",
	'ADMIN_DOUBLER_LIST_ALREADY_REF' => "Ausgezahlte Referral-{?POINTS?}",
	'ADMIN_DOUBLER_LIST_WAITING_ALL' => "Alle wartenden {?POINTS?}-Auszahlungen",
	'ADMIN_DOUBLER_LIST_WAITING_DIRECT' => "Wartende Direkt-Auszahlungen",
	'ADMIN_DOUBLER_LIST_WAITING_REF' => "Wartende Referral-Auszahlungen",

	// Generic messages
	'DOUBLER_TITLE' => "{?POINTS?}-Verdoppler",
	'DOUBLER_ENTER_LOGIN_DATA' => "Geben Sie hier Ihre Zugangsdaten ein",
	'DOUBLER_NOTICE_FOR_PASSWORD' => "Das Passwort wird nicht gespeichert.",
	'DOUBLER_ENTER_POINTS' => "{?POINTS?} zum Verdoppeln",
	'DOUBLER_NOW_SUBMIT' => "Verdoppeln.",
	'DOUBLER_ALREADY_PAYED' => "Es wurden bereits <strong>{OPEN_TEMPLATE}config,translateComma=doubler_points{CLOSE_TEMPLATE} {?POINTS?}</strong> ausgezahlt.",
	'DOUBLER_MINIMUM_IS' => "Mindestens",
	'DOUBLER_MAXIMUM_IS' => "verdoppeln, maximal",
	'DOUBLER_HAVE_FUN' => "Viel Spa&szlig;.",
	'DOUBLER_POINTS' => "Wenn Sie {?POINTS?} verdoppeln, kommen Sie diese nach Abzug von <strong>{OPEN_TEMPLATE}config,translateComma=doubler_charge{CLOSE_TEMPLATE}&#37;</strong> Betreibergeb&uuml;hr in einen Topf; bei Erreichen einer Verdopplung wird diese der Einzahlungsreihe nach, automatisch ausgef&uuml;hrt.",
	'DOUBLER_EXAMPLE' => "Beispiel: Einzahlung <strong>500 {?POINTS?}</strong> &raquo;&raquo; Auszahlung: <strong>1000 {?POINTS?}</strong>, sobald Sie an der Reihe sind, ohne(*) ein Risiko einzugehen.",
	'DOUBLER_FULL_PAYOUT' => "100% Auszahlung",
	'DOUBLER_REFERRAL' => "Refverdienst: Es gibt <strong>{OPEN_TEMPLATE}config,translateComma=doubler_ref{CLOSE_TEMPLATE}&#37;</strong> Refverdienst. Wenn Sie {?POINTS?} auf dem Refkonto durch Werbung erwirtschaftet haben, (Wichtig! Maximal Verdoppelung darf nicht &uuml;berschritten werden) werden diese bei Ihrer n&auml;chsten Verdoppelung aufgeschlagen. Beispiel: Sie haben <strong>100 {?POINTS?}</strong> Refverdienst und verdoppeln <strong>100 {?POINTS?}</strong>, Sie bekommen - sobald Sie an der Reihe sind - <strong>300 {?POINTS?}</strong> zur&uuml;ck.",
	'DOUBLER_TIMEOUT' => "Es werden Eintr&auml;ge nicht &auml;lter als <strong>{OPEN_TEMPLATE}config,createFancyTime=doubler_timeout{CLOSE_TEMPLATE}</strong> angezeigt.",
	'DOUBLER_REFERRAL_LINK' => "Den Reflink erfahren Sie nach jeder Verdoppelung.",
	'DOUBLER_NOT_YET_REGISTERED' => "Noch nicht angemeldet?",
	'DOUBLER_REGISTER_NOW' => "Weiter zur Anmeldung.",
	'DOUBLER_YOUR_ADVERTISING_HERE' => "Hier k&ouml;nnte auch Ihre Werbung stehen:",
	'DOUBLER_CONTACT_US' => "Fragen Sie uns nach unseren Konditionen.",
	'DOUBLER_FORM_404_LOGIN' => "Login nicht eingegeben.",
	'DOUBLER_FORM_404_PASSWORD' => "Password nicht eingeben.",
	'DOUBLER_FORM_404_POINTS' => "Keine {?POINTS?} zum Verdoppeln eingegeben.",
	'DOUBLER_FORM_404_NICKNAME' => "Unbekannter Nickname eingegeben oder falsches Passwort.",
	'DOUBLER_FORM_404_MEMBER' => "Mitgliedsaccount nicht gefunden oder falsches Passwort.",
	'DOUBLER_FORM_STATUS_UNCONFIRMED' => "Bitte best&auml;tigen Sie erst Ihre EMail-Adresse. Den Best&auml;tigungslink k&ouml;nnen Sie <a href=\"{OPEN_TEMPLATE}url=modules.php?module=index&amp;what=confirm{CLOSE_TEMPLATE}\">hier erneut per EMail anfordern</a> .",
	'DOUBLER_FORM_STATUS_LOCKED' => "Ihr Account wurde von einem Administrator oder durch Urlaub gesperrt. Bitte <a href=\"{OPEN_TEMPLATE}url=modules.php?module=index&amp;what=impressum{CLOSE_TEMPLATE}\">melden Sie sich bei uns</a>, damit wir Ihren Account freischalten k&ouml;nnen.",
	'DOUBLER_FORM_WRONG_PASS' => "Passwort ist falsch.",
	'DOUBLER_FORM_POINTS_MIN' => "Zu wenig {?POINTS?} zum Verdoppeln eingegeben.",
	'DOUBLER_FORM_POINTS_MAX' => "Zu viele {?POINTS?} zum Verdoppeln eingegeben.",
	'DOUBLER_FORM_NO_POINTS_LEFT' => "Sie haben nicht ausreichend {?POINTS?} &uuml;brig.",
	'DOUBLER_PAYOUT_TIME_DIRECT' => "Die Auszahlung erfolgt unmittelbar, nachdem gen&uuml;gend {?POINTS?} zusammengekommen sind, um Ihnen die Verdoppelung auszuzahlen.",
	'DOUBLER_PAYOUT_TIME_RESET' => "Abends um 00:00 Uhr jeden Tages wird gepr&uuml;ft, ob gen&uuml;gend {?POINTS?} zusammengekommen sind, um Ihnen die Verdoppelung auszuzahlen.",
	'DOUBLER_PAYOUT_TIME_UNKNOWN' => "Unbebannter Modus <span class=\"data\">%s</span> erkannt. Bitte Bug melden.",
	'DOUBLER_NO_ENTRIES_FOUND' => "Keine Eintr&auml;ge gefunden.",
	'DOUBLER_TIMEMARK' => "Auszahlungstag",
	'DOUBLER_GENERAL_INFOS' => "Allgemeine Informationen zum Verdoppeln",
	'DOUBLER_ALREADY_PAYOUT' => "Bereits an unsere Mitglieder ausgezahlte Betr&auml;ge",
	'DOUBLER_REGISTER_ADVERT' => "Weiter zur Anmeldung / Werbebuchung",
	'DOUBLER_NEXT_PAYOUT' => "Die als n&auml;chstes anstehenden Auszahlungen",
	'DOUBLER_WANNA_TRY' => "Wollen Sie mal ausprobieren?",
	'DOUBLER_POINTS_LEFT' => "Es stehen noch <strong>{OPEN_TEMPLATE}pipe,getDoublerTotalPointsLeft,translateComma{CLOSE_TEMPLATE} {?POINTS?}</strong> zum Verdoppeln zur Verf&uuml;gung.",
	'DOUBLER_USAGE_COUNTER' => "Der Verdoppler wurde bereits <strong>{OPEN_TEMPLATE}config,translateComma=doubler_counter{CLOSE_TEMPLATE}</strong> mal genutzt.",

	// Guest messages
	'GUEST_DOUBLER_NO_ENTRIES_FOUND' => "In dieser Kategorie hat noch kein Mitglied einen Eintrag.",

	// Member messages
	'MEMBER_DOUBLER_NO_ENTRIES_FOUND' => "In dieser Kategorie haben Sie noch keine Eintr&auml;ge.",
	'MEMBER_DOUBLER_ALREADY_PAYOUT' => "An Sie bereits ausgezahlte Verdoppelungen",
	'MEMBER_DOUBLER_NEXT_PAYOUT' => "Sie erhalten bald folgende Verdoppelungen ausgezahlt",
	'MEMBER_DOUBLER_REFERRAL_PAYOUT' => "Ihr Refferal-Verdienst",
	'MEMBER_DOUBLER_YOUR_LINK' => "Hier ist Ihr Verdoppler-Link",
	'MEMBER_DOUBLER_YOUR_REFERRAL_LINK' => "Ihr Referral-Link zum Verdoppeln",

	// Member subject lines
	'MEMBER_DOUBLER_SUBJECT' => "Gutschrift durch Verdoppelung",

	// Notices (all)
	'ADMIN_DOUBLER_NOTICE' => "Hier sollte noch ein guter Hinweis stehen.",
	'GUEST_DOUBLER_NOTICE' => "Hier sollte noch ein guter Hinweis stehen.",
	'MEMBER_DOUBLER_NOTICE' => "Hier sollte noch ein guter Hinweis stehen.",

	// Points account subject
	'POINTS_SUBJECT_DOUBLER_DIRECT' => "Sofort-Dopplergutschrift",
	'POINTS_SUBJECT_DOUBLER_DIRECT_REF' => "Anteilige Sofort-Dopplergutschrift",
	'POINTS_SUBJECT_DOUBLER_RESET' => "Gutschrift beim Reset",
	'POINTS_SUBJECT_DOUBLER_RESET_REF' => "Anteilige Gutschrift beim Reset",

	// Admin - for ext-task
	'ADMIN_TASK_LIST_DOUBLER_WAITING' => "Wart. Verdopplungen",
	'ADMIN_TASK_LIST_DOUBLER_WAITING_TITLE' => "Es warten Vedopplungen auf Verg&uuml;tung.",
	'ADMIN_TASK_LIST_DOUBLER_ALL' => "Alle Verdopplungen",
	'ADMIN_TASK_LIST_DOUBLER_ALL_TITLE' => "In Ihrem {?mt_word?} wurde verdoppelt.",

));

// [EOF]
?>
